Bug 429241 - Xorg crashes right after using fast user switching
Xorg crashes right after using fast user switching
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-18 00:34 EST by Nathan G. Grennan
Modified: 2009-01-09 02:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:35:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modfied patch from Keith Packard (6.71 KB, text/x-patch)
2008-02-11 19:18 EST, Nathan G. Grennan
no flags Details

  None (edit)
Description Nathan G. Grennan 2008-01-18 00:34:52 EST
Description of problem:
Xorg of the previous user crashes about 10 seconds after switching between users
with fast user switching.

The error seems to be related to bug 323501.

(WW) xf86CloseConsole: VT_WAITACTIVE failed: Interrupted system call


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-37.fc8.x86_64

How reproducible:
At least every three times

Steps to Reproduce:
1. Login with gdm as user A
2. Use fast user switching to bring up a login with gdm
3. Login as user B
4. Switch back to user A using fast user switching
  
Actual results:
Xorg of user B crashes after about 10 seconds

Expected results:
Xorg to continue running for user B

Additional info:
Comment 1 Matěj Cepl 2008-01-18 06:44:31 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Nathan G. Grennan 2008-02-11 19:18:58 EST
Created attachment 294609 [details]
Modfied patch from Keith Packard

I did a Google search about the error message and found a message from Keith
Packard about this error. His patch was a for a different version, but the
conflicts between the original patch and the Fedora version seemed to just be
overlap.

I did do some basic testing, and it seems to help. Being that the crash doesn't
happen every time, I am not yet sure if the patch fixes the issue.
Comment 3 Nathan G. Grennan 2008-02-11 19:19:28 EST
Here is the url of the original patch:

http://lists.freedesktop.org/archives/xorg/2007-October/029001.html
Comment 4 Bug Zapper 2008-11-26 04:28:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:35:54 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.